FIX::FieldBase::field_metrics Class Reference

Class used to store field metrics like total length and checksum. More...

## Public Member Functions

| field_metrics (const size_t length, const int checksum)
size_t | getLength () const
int | getCheckSum () const
bool | isValid () const

## Private Attributes

size_t | m_length
int | m_checksum

## Detailed Description

Class used to store field metrics like total length and checksum.

Definition at line 53 of file Field.h.

## Constructor & Destructor Documentation

## field_metrics()

FIX::FieldBase::field_metrics::field_metrics | ( | const size_t | length,
|  | const int | checksum
| ) |  |

inline

Definition at line 57 of file Field.h.

: m_length( length )
, m_checksum( checksum )
{}
FIX::FieldBase::field_metrics::m_length
size_t m_length
Definition: Field.h:73
FIX::FieldBase::field_metrics::m_checksum
int m_checksum
Definition: Field.h:74

## Member Function Documentation

## getCheckSum()

int FIX::FieldBase::field_metrics::getCheckSum | ( |  | ) | const

inline

Definition at line 65 of file Field.h.

{ return m_checksum; }

References m_checksum.

Referenced by FIX::FieldBase::getTotal().

## getLength()

size_t FIX::FieldBase::field_metrics::getLength | ( |  | ) | const

inline

Definition at line 62 of file Field.h.

{ return m_length; }

References m_length.

Referenced by FIX::FieldBase::getLength().

## isValid()

bool FIX::FieldBase::field_metrics::isValid | ( |  | ) | const

inline

Definition at line 68 of file Field.h.

{ return m_length > 0; }

References m_length.

Referenced by FIX::FieldBase::calculate().

## Member Data Documentation

## m_checksum

int FIX::FieldBase::field_metrics::m_checksum

private

Definition at line 74 of file Field.h.

Referenced by getCheckSum().

## m_length

size_t FIX::FieldBase::field_metrics::m_length

private

Definition at line 73 of file Field.h.

Referenced by getLength(), and isValid().

The documentation for this class was generated from the following file:

- Field.h